Slackware :: SBo SlackBuilds Fail At Make Install Under Latest

Mar 4, 2010

I'm running a clean install of the latest version of -current64.When I try to run a number of SlackBuilds from SBo, the scripts stop (no error) after the make install step.If I manually run all of the commands after make install, I get a fully functional package, and the program works with no problems.In looking as the logs, I don't see any errors during the configure, make, or make install steps.

I'm having problems with other scripts as well that are not XFCE related, but these are good examples. Another oddity is that the SlackBuild script for thunar-archive-plugin at slacky.eu works.I've never had any problems with these scripts before, and many other scripts still run just fine. I can't track down a common problem here.

View 2 Replies


ADVERTISEMENT

Slackware :: Building From Slackbuilds - Get Make Error ?

May 18, 2010

I have tried building a couple of packages like gst-plugins-bad, Qtcurve-Gtk2, but I get make error at this line:

Code:

For gparted I'm getting:

Code:

Using Slackware64 - current

View 14 Replies View Related

Slackware :: How To Install Sofware With SlackBuilds?

Nov 19, 2010

I am a noob to slackware always have wanted to try it. But how in simple terms can i install a program like devede with slackbuilds from slackbuilds.org?

View 15 Replies View Related

Slackware :: Plan To Install SlackBuilds VirtualBox

Mar 9, 2011

I plan to install SlackBuild: virtualbox-ose (3.2.10) on my stand alone laptop.The following are excerpts from the SlackBuild Readme file and I was hoping that someone might have the time to clarify a few things:
"By default VirtualBox will be compiled with hardening enabled. That means all binaries will be run suid root, which is the default behaviour of upstream packages. However, you are still able to disable this by passing HARDENING=no to the script."Why would I want to do this? If I did want to do this, how do I pass 'HARDENING=no' to the script? What script?

Edit: I found something on this and see that I'll just include my user in the proper group and I should be ok.'To compile virtualbox without the Qt4 GUI pass QT4=no to the script'I have a package called: qt-4.6.2_2d3d3e5-i486-1 installed - does this mean that I have Qt4 installed?'To enable the webservice pass WEBSERVICE=yes to the script. This adds gsoap to the list of required dependencies.'Why would I want to do this? If I did want to do this, how do I pass 'WEBSERVICE=yes' to the script? Also, to do this I would have to install gsoap first, right?'If you want to attach VirtualBox to a VDE network you will need vde2.I don't need this for my stand alone world, right?This requires acpica, and the virtualbox-kernel package is needed at runtime.'Does this mean that VDE network requires acpica or that this SlackBuild require acpica?

View 10 Replies View Related

Slackware :: Build Several Packages Designed For Slackware 13 At Slackbuilds?

Jan 24, 2010

I tried to build several packages designed for slackware 13 at slackbuilds. Those was a simple apps like ardour, audacity for example.

[Code]...

My CPU is AMD Phenom 9550 Quad core. It supports 64 bit. My os is slackware 13_64. What do I need to change in slackbuild to create a txz package for those apps?

View 14 Replies View Related

Slackware :: Way To Speed Up Slackbuilds

Jun 20, 2011

Currently slackbuilds only uses one core while it is compiling. Is there a way to enable more cores?

View 9 Replies View Related

Slackware :: Automatic SlackBuilds Installer

Jan 31, 2010

I have started to write a SlackBuilds installer, similar in spirit to slackpkg. So far it is only about 100 lines of code and it can search for a package and install it automatically from slackbuilds.org. I doubt it will ever be as polished as slackpkg but it may be useful for some people. Maybe something like this already exists? If it does then I would like to check it out. If however this doesn't exist then I will most likely continue to develop my program. So far it is quite crude but it does install and search for packages.

View 4 Replies View Related

Slackware :: Can't Get Qdvdauthor To Build Using Slackbuilds?

Jun 1, 2011

Here are the last several lines from running the Slackbuild script.

Quote:
make: *** [.obj/server.o] Error 1
make: *** Waiting for unfinished jobs....
In file included from /usr/include/libavutil/avutil.h:81:0,
from engine/ffmpeg_enc.h:35,
from slideshow.h:19,

[Code]...

View 4 Replies View Related

Slackware :: GConf And ORBit2 In Slackbuilds.org

May 6, 2011

i was just wondering: do we still need to have GConf and ORBit2 in slackbuild.org repository, since they are available in /extra/google-chrome? I am using the ones from /extra and so far everything from slackbuilds.org builds happily against them.

View 1 Replies View Related

Slackware :: GPG Signature For Slackbuilds Packages?

Oct 9, 2010

I'm not able to generate GPG key of packages for my local SBo repository..Example: package.tar.gz.asc

I know that's necessary GPG-KEY of SBo http://slackbuilds.org/GPG-KEY for generate signature file, but I don't know how to proceed..

View 4 Replies View Related

Slackware :: Download Tmux 1.3 From Slackbuilds?

Apr 2, 2011

I downloaded tmux 1.3 from slackbuilds

And when I am running tmux.SlackBuild

I get this output:

Code:
Configured for Linux
cc -O2 -march=i486 -mtune=i686 -DBUILD=""1.3"" -std=c99 -D_GNU_SOURCE -D_POSIX_SOURCE -iquote. -c -o attributes.o attributes.c
In file included from attributes.c:23:
tmux.h:30:19: error: event.h: No such file or directory

[Code].....

View 2 Replies View Related

Slackware :: Installing Monodevelop From Slackbuilds ?

Jun 30, 2011

I have tried a few times now with sbopkg but I cannot get monodevelop installed.

All the dependencies install and compile correctly but during the compile of monodevelop it keeps bombing out.

This is on slackware 13.37 32bit

This is the error:

Code:

View 2 Replies View Related

Slackware :: Slackbuilds Leftover Files?

Feb 23, 2011

I am a big user of SlackBuilds. The question here is that under /var/lib/sbopkg/SBo/13.1/* there are a lot of files that seem to be un-needed. Can I safely remove these to reclaim some space or do they need to stay?
If they do need to stay, what do they do?

View 3 Replies View Related

Slackware :: Why Don't We Have A Ports-like SlackBuilds Tree?

Jan 9, 2010

I think I've finally settled on Slackware, but I kept missing Arch or FreeBSD for some reason. Last night I realized it's the abs/ports systems they have. I love the freedom to rebuild any package from source so I can configure build options and not worry about how packages from third party sites were compiled (missing features, patent restrictions, etc.).

SlackBuilds.org is awesome, and according to that site Pat uses SlackBuilds to build the official packages. Wouldn't it be great if there was a /var/slackbuilds/ directory with subdirectories for each software set for the officially supported software and then a subdirectory for each category on SlackBuilds.org?I would really like to see this in Slackware some time. It would help organize all the available software in the official sets and SlackBuilds.org and make it easy to compile anything. Other software would, as usual, be downloaded from third-party sources and simply installed that way.

View 14 Replies View Related

Slackware :: Building SlackBuilds KVM Does Not Work - 2.6.35.4 Kernel

Oct 1, 2010

Since there was a lot of talk about virtualization I thought I try kvm -- before I used VirtualBox. I took the SlackBuild from SlackBuilds.org and got an error with u8 as type in /usr/include/scsi/scsi.h. (sorry, I don't have the exact error message anymore..) I searched for its definition and I only found __u8 in /usr/include/linux/types.h. Then I searched the web and found a "fix" which says I have to change u8 from /usr/include/scsi/scsi.h to __u8. This problem was solved, but when I run the SlackBuild now it stops at some point and I don't know why. These are the last few lines of output:

CC arm-softmmu/translate.o
CC arm-softmmu/tcg/tcg.o
CC arm-softmmu/tcg/tcg-runtime.o
CC arm-softmmu/fpu/softfloat.o .....
LINK i386-softmmu/qemu
AR arm-softmmu/libqemu.a
LINK arm-softmmu/qemu-system-arm
root@tux:/home/christian/Downloads/kvm#

I put an echo after the make for building kvm and I put an echo after "make install". None of them are printed.

View 14 Replies View Related

Slackware :: Create SlackBuilds And Build Them Manually?

Apr 11, 2011

I'm using Slackware 13.1. There are some software I need that not presented in repos (e.g GIS software and utilities), so I create SlackBuilds and build them manually.

When compiling some libraries I get problems with libdl - the dynamic linker library. As I understand, this library absolutely required by some other libs.

For some odd reason, it seems that this library is automatically supported on other distros (e.g. Debian), but not on Slackware. As result ./configure script can't find necessary libs and fails with messages like

Code:
checking for sqlite3_prepare_v2 in -lsqlite3... no
configure: error: 'libsqlite3' is required but it doesn't seems to be
installed on this system.

[Code]....

View 2 Replies View Related

Slackware :: Sbopkg Does Not Find SlackBuilds 13.1 Repository

May 27, 2010

Sbopkg 0.32.0 doesn't find slackbuilds 13.1 repository even though I have modified the sbopkg.conf. Is there going to be an updated sbopkg in the near future?

View 5 Replies View Related

Slackware :: Updating Slackbuilds.org Scripts - Etiquette?

Mar 29, 2011

While prepping for 13.37, I was going through Slackbuilds.org and noticed a lot of the packages I use are horribly out of date.

What is the etiquette for submitting an updated script? Just change the relevant details on the existing one and send it to them ordo I need to write a whole new script?

View 7 Replies View Related

Slackware :: Upgraded Current Now Cannot Build Slackbuilds?

Oct 16, 2010

this is what i get when i try to compile ndiswrapper:

checking for a BSD-compatible install... /bin/ginstall -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes

[Code]...

View 10 Replies View Related

Slackware :: Quick Note On Broken Mrtg-2.15.2 From Slackbuilds?

Jan 4, 2011

this morning after the latest updates for slackware-current my mrtg-2.15.2 from slackbuilds failed with

Code:
Bareword "P_DETACH" not allowed while "strict subs" in use at /usr/bin/../lib/mrtg2/MRTG_lib.pm line 1133.
Compilation failed in require at /usr/bin/mrtg line 89. BEGIN failed--compilation aborted at /usr/bin/mrtg line 89. As there's currently no newer version for mrtg on slackbuilds, i downloaded mrtg-2.17.0.tar.gz from oetiker's page and compiled it. Changing path in crontab and it works well.

View 2 Replies View Related

Slackware :: Freenode, Cap_sasl.pl And Irssi: Slackbuilds For The Perl Modules?

Feb 8, 2010

With the latest Freenode changes SSL connection is now possible which presents no problem, particularly with rworkman's ca-certificates slackbuild, But configuring sasl for the password to nickserv presents a bit more of a challenge as 3 perl modules are required: Crypt::OpenSSL::Bignum, Crypt::DH, Crypt::Blowfish and Math::BigInt. I have not packaged perl modules for slackware before and I guess there is always a first time but can I ask if anybody has already neatly packaged up the required perl modules? I suspect they will be very popular with Freenode slackware irc users...

View 2 Replies View Related

Slackware :: Iscan- Packages On SlackBuilds And EPSON Proprietary Scanners

May 13, 2011

This is deja vue but I'm stuck again with an EPSON Perfection 4180 scanner. This is one of those scanners that is supported by the epkowa sane drivers and requires specific firmware.

The SBo packages
iscan-firmware
iscan-free
iscan-proprietary-drivers

Should make this scanner usable in slackware. I had this working on a slackware 13.1 (32 bit), now I am trying to get it going in slackware64 13.37.

The scanner is detected by sane-find-scanner:

Code:

And somewhat by scanimage -L:

Code:

However this fails to recognize the scanner model (which was ok in 13.1 32 bit) and then it also fails to work with scanning anything (scanimage, or xsane abort and the scanner never makes any noise).

I'm suspecting that there is some problem with the library contained in iscan-proprietary-drivers.

View 2 Replies View Related

Slackware :: Osmo - Slackbuilds - Installed - Libsyncml - Libgringotts And Libtar

Feb 1, 2011

I've installed all these (libsyncml, libgringotts, and libtar) pkgs and requirements from slackbuild, compilling osmo gives:

Code:

View 9 Replies View Related

Slackware :: Midori From Slackbuilds Ssl Handshake Failure When Visiting Https Sites?

May 19, 2011

Everytime I try to visit a secure site I get ssl handshake failure with Midori from slackbuilds and xxxterm compiled from source.

View 6 Replies View Related

Slackware :: Install "jbig" And "splix" From Slackbuilds.org

Oct 28, 2010

Since the last two weeks i`m looking for a method to work with the samsung scx 4x16f easy. Just printing something. Now it works fine. first you have to install "jbig" and "splix" from slackbuilds.org You will need cups and perhaps gutenprint, but in at the most installs of Slackware 13, i think it's included.

After that you have to connect printer and PC

Code:
# /etc/rc.d/rc.cups restart
and finally install the Samsung scx 4216f over http://localhost:631 CUPS Administration and choose the Samsung SCX-4200, SpliX V 2.0.0 driver.

View 1 Replies View Related

Slackware :: Dead Items At Slackbuilds.org - Default Source Tarball Is No Longer Accessible

Oct 6, 2010

Recenlty I installed sbopkg for maintaining slackbuilds scripts and I found it very useful. But there are some limitations coming from outdated repositories for older version of slackware. Eg. a tar ball with Maxima source maxima-18.1.... which is default in the slackbuilds.org repository for slack 12.2 doesn't exist at this moment. One can find older and newer versions. I understand that maintainers of slackbuild scripts are rather focused on recent slack version. Nevertheless such outdated entries should be somehow marked

in the way that a visitor will know that a default source tarball is no longer accessible. Maybe persons who submit the scripts should be responsible for keeping track for a sources. If that problem won't be solved it is a danger that slackbuilds.org will play only a role of some addons to the very recent slack release - but if this will be a case then simpler is to build say additional two or three DVD's of packages.

View 14 Replies View Related

Slackware :: Compiling Large Slackbuilds - Error-message - Not Enough Space Left On Device

Aug 20, 2010

I am currently running slackware 12.2 on a 25 GB partition. I like to use slackbuilds, but when I try to compile larger tarballs (like abiword, or a patched version of Ghostscript as I did today) I receive an error-message: 'Not enough space left on device'. I think the size of the partition must be big enough (I never got this message when compiling with Linux From Scratch). I think it has something to do with the size of my /tmp directory, but I don't know how to fix this. Is there a way to solve the problem, so that I could be able to use slackbuild-scripts?

View 4 Replies View Related

Slackware :: Slackbuilds - Net-SSLay Building - Required By Webmin To Support Https - Error

Aug 1, 2010

I am trying to build an Net-SSLay package for my Slackware, it is required by webmin to support https.

When I start the Slackbuild script I get this error:

Quote:

What can be done to make this work? Or is there any better way to make webmin working with https?

My OS is Slackware 13_64 and webmin is 1.510 (the latest version).

View 4 Replies View Related

Slackware :: Install Latest Lilo In Small Distro And Fit A 1.44 Mb Floppy Disk

May 22, 2010

I need a small distro... that i can fit into a 1.44 Mb floppy disk... so i can install latest lilo.

View 6 Replies View Related

OpenSUSE Hardware :: Check What Latest Installed Drivers Are And How To Install The Latest?

Jun 27, 2010

how to check what my latest installed drivers are and how to install the latest? If I search for Nvidia in YaST then noting comes up. I beleive the latest drivers from Nvidia are 195.xxx

View 7 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved